Bug Hunting Session
Bug 97625 - UI: AutoCorrect button on toolbar poorly defined functionality
Summary: UI: AutoCorrect button on toolbar poorly defined functionality
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete Button-Controls
  Show dependency treegraph
 
Reported: 2016-02-07 20:18 UTC by nemzag
Modified: 2019-09-28 03:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
"AUTOCORRECT" BUTTON (5.04 KB, image/png)
2016-02-07 20:18 UTC, nemzag
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemzag 2016-02-07 20:18:16 UTC
Created attachment 122429 [details]
"AUTOCORRECT" BUTTON

Hi,

I added the autocorrect icon in Libre Office tool-bar to increase conversion of text prom web to editor (using Autocorrection Option), but when clicking it nothing happen, and if I select text and press button, the text disappears, can anyone help ? Please ?

Is "Autocorrect" like "Autocorrection" or should I use an other button ?
Does it is available.

Kanth you.
Comment 1 Buovjaga 2016-02-11 09:22:58 UTC
Reproduced.

For me, it inserts a space when clicking. If something is selected, selection is replaced by space.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a6f876d45bd4e41a7143594a6cb11b6893a0f620
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-11_00:07:38
Locale: fi-FI (fi_FI)
Comment 2 Luke 2016-02-12 02:40:08 UTC
@nemzag 

You have been filing a lot of these low quality bug reports recently. This adds noise to the bug tracker. You need to understand that all of the developers are volunteers, many of which have expressed their dislike of vague reports. Low quality reports discourage them from coming here.


> Is "Autocorrect" like "Autocorrection" or should I use an other button ?
> Does it is available?
This is a bug track not a support forum. Use Ask LibreOffice for your support issues.

You should never be filing a bug report about a feature that you don't understand. Before coming here, you should have gone to https://help.libreoffice.org/Writer/AutoCorrect

You should only be filing bug reports for features that you have a clear understanding of how they should work. If you are confident you've truly found a bug, then your bug report should always have the following 3 components:

Steps to Reproduce:
Expected Results:
Actual Results:

So this bug report should have looked like this:

Steps to Reproduce:
1. View->Toolbar->Customize
2. Toolbar -> Formatting
3. Toolbar Content -> Add
4. Add AutoCorrect
5. Highlight a word

Expected Results:
Do nothing to the document, but toggle AutoCorrect On/Off

Actual Results:
Highlighted text is replaced with a space


We either need a better tooltip description of what the button does, remove it from list of toolbar buttons, or we need to make it toggle AutoCorrect On/Off.
Comment 3 nemzag 2016-02-12 10:19:02 UTC Comment hidden (no-value)
Comment 4 nemzag 2016-02-12 10:39:49 UTC Comment hidden (no-value)
Comment 5 Buovjaga 2016-02-12 10:50:12 UTC Comment hidden (no-value)
Comment 6 nemzag 2016-02-12 10:59:46 UTC Comment hidden (no-value)
Comment 7 QA Administrators 2017-03-06 15:24:08 UTC Comment hidden (obsolete)
Comment 8 Luke 2017-03-09 23:21:22 UTC Comment hidden (me-too)
Comment 9 QA Administrators 2018-03-10 03:45:12 UTC Comment hidden (obsolete)
Comment 10 Thomas Lendo 2018-03-11 22:55:18 UTC Comment hidden (me-too)
Comment 11 Heiko Tietze 2018-03-19 14:39:09 UTC
The command is .uno:StartAutoCorrect and it executes https://opengrok.libreoffice.org/xref/core/sw/source/uibase/shells/textsh1.cxx#779 (/* Autocorrect from Basic */ is the comment at the ID).

Any idea where this command comes from, Maxim?
Comment 12 Heiko Tietze 2018-06-08 08:01:27 UTC
Removing UX as this issue is just a bug. Please fix it.

(And I don't expect users to dig into the workflow to report an issue.)
Comment 13 Maxim Monastirsky 2018-06-08 11:41:21 UTC
(In reply to Heiko Tietze from comment #11)
> The command is .uno:StartAutoCorrect and it executes
> https://opengrok.libreoffice.org/xref/core/sw/source/uibase/shells/textsh1.
> cxx#779 (/* Autocorrect from Basic */ is the comment at the ID).
> 
> Any idea where this command comes from, Maxim?
Looks unused to me. But anyway it should be safe to set the *Config flags in swriter.sdi to FALSE, and remove the string from WriterCommands.xcu.
Comment 14 Heiko Tietze 2018-06-09 08:02:57 UTC
(In reply to Maxim Monastirsky from comment #13)
> ... should be safe to set the *Config flags in swriter.sdi to FALSE...

Better solution would be to make starting autocorrection from toolbar possible.
Comment 15 QA Administrators 2019-09-28 03:05:20 UTC
Dear nemzag,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug